import * as ts from 'typescript';
/**
 * TypeScriptWalker is a class which can parse and walk the syntax tree of a
 * TypeScript profile or folder.
 */
export declare abstract class TypeScriptWalker {
    /**
     * Walks all files in the source directory.
     */
    compile(sourceDir: string): Promise<this>;
    /**
     * Walks a single TypeScript file.
     */
    parseFile(sourceDir: string, file: string): Promise<this>;
    /**
     * Parses the string as a TypeScript source file.
     */
    parseString(str: string): this;
    /**
     * visit is called whenever the walker sees a TypeScript node.
     */
    protected abstract visit(node: ts.Node): any;
}
